Package: grails.doc.internal

## [Java] Class StringEscapeCategory

- grails.doc.internal.StringEscapeCategory

-     public class StringEscapeCategory

- - ### Constructor Summary

    Constructors
    Constructor and description
    `private StringEscapeCategory ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static java.lang.String` | `encodeAsHtml(java.lang.String str)`
    `` | `public static java.lang.String` | `encodeAsUrlFragment(java.lang.String str)`
    `` | `public static java.lang.String` | `encodeAsUrlPath(java.lang.String str)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### private StringEscapeCategory()

  - ### Method Detail

    - #### public static java.lang.String encodeAsHtml(java.lang.String str)

    - #### public static java.lang.String encodeAsUrlFragment(java.lang.String str)

    - #### public static java.lang.String encodeAsUrlPath(java.lang.String str)